For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • GETSearch features
      • GETSearch change requests

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APISearch

Search features

||View as Markdown|
GET
https://app.unleash-instance.example.com/api/admin/search/features
GET
/api/admin/search/features
$curl https://app.unleash-instance.example.com/api/admin/search/features \
> -H "Authorization: <apiKey>"
1{
2 "features": [
3 {
4 "name": "disable-comments",
5 "type": "kill-switch",
6 "description": "Controls disabling of the comments section in case of an incident",
7 "dependencyType": "parent",
8 "project": "dx-squad",
9 "stale": false,
10 "favorite": true,
11 "impressionData": false,
12 "createdAt": "2023-01-28T15:21:39.975Z",
13 "archivedAt": "2023-01-29T15:21:39.975Z",
14 "environments": [
15 {
16 "name": "my-dev-env",
17 "type": "development",
18 "enabled": true,
19 "featureName": "disable-comments",
20 "environment": "development",
21 "sortOrder": 3,
22 "variantCount": 1.1,
23 "strategies": [
24 {
25 "name": "flexibleRollout",
26 "id": "6b5157cb-343a-41e7-bfa3-7b4ec3044840",
27 "title": "Gradual Rollout 25-Prod",
28 "disabled": false,
29 "featureName": "myAwesomeFeature",
30 "sortOrder": 9999,
31 "segments": [
32 1,
33 2
34 ],
35 "constraints": [
36 {
37 "contextName": "appName",
38 "operator": "IN",
39 "caseInsensitive": false,
40 "inverted": false,
41 "values": [
42 "my-app",
43 "my-other-app"
44 ],
45 "value": "my-app"
46 }
47 ],
48 "variants": [
49 {
50 "name": "blue_group",
51 "weight": 1,
52 "weightType": "fix",
53 "stickiness": "custom.context.field",
54 "payload": {
55 "type": "json",
56 "value": "{\"color\": \"red\"}"
57 }
58 }
59 ],
60 "parameters": {}
61 }
62 ],
63 "variants": [
64 {
65 "name": "blue_group",
66 "weight": 1.1,
67 "weightType": "variable",
68 "stickiness": "custom.context.field",
69 "payload": {
70 "type": "json",
71 "value": "{\"color\": \"red\"}"
72 },
73 "overrides": [
74 {
75 "contextName": "userId",
76 "values": [
77 "red",
78 "blue"
79 ]
80 }
81 ]
82 }
83 ],
84 "changeRequestIds": [
85 1.1
86 ],
87 "milestoneName": "Phase One",
88 "milestoneOrder": 0,
89 "totalMilestones": 0,
90 "lastSeenAt": "2023-01-28T16:21:39.975Z",
91 "hasStrategies": true,
92 "hasEnabledStrategies": true,
93 "releasePlans": [
94 {
95 "id": "01JB9GGTGQYEQ9D40R17T3YVW2",
96 "discriminator": "plan",
97 "name": "My release plan",
98 "featureName": "my-feature",
99 "environment": "production",
100 "createdByUserId": 53,
101 "createdAt": "2022-01-01T00:00:00Z",
102 "milestones": [
103 {
104 "id": "01JB9GGTGQYEQ9D40R17T3YVW1",
105 "name": "My milestone",
106 "sortOrder": 1,
107 "releasePlanDefinitionId": "01JB9GGTGQYEQ9D40R17T3YVW2",
108 "startedAt": "2024-01-01T00:00:00.000Z",
109 "transitionCondition": {
110 "intervalMinutes": 30
111 },
112 "progressionExecutedAt": "2024-01-01T00:00:00.000Z",
113 "pausedAt": "2024-01-01T00:00:00.000Z",
114 "strategies": [
115 {
116 "id": "01JB9GGTGQYEQ9D40R17T3YVW3",
117 "milestoneId": "01JB9GGTGQYEQ9D40R17T3YVW1",
118 "sortOrder": 9999,
119 "name": "flexibleRollout",
120 "strategyName": "flexibleRollout",
121 "title": "Gradual Rollout 25-Prod",
122 "parameters": {
123 "groupId": "some_new",
124 "rollout": "25",
125 "stickiness": "sessionId"
126 },
127 "constraints": [
128 {
129 "contextName": "appName",
130 "operator": "IN",
131 "caseInsensitive": false,
132 "inverted": false,
133 "values": [
134 "1",
135 "2"
136 ]
137 }
138 ],
139 "variants": [
140 {
141 "name": "blue_group",
142 "weight": 1,
143 "weightType": "fix",
144 "stickiness": "custom.context.field",
145 "payload": {
146 "type": "json",
147 "value": "{\"color\": \"red\"}"
148 }
149 }
150 ],
151 "segments": [
152 1,
153 2
154 ],
155 "disabled": false
156 }
157 ]
158 }
159 ],
160 "releasePlanTemplateId": "01JB9GGTGQYEQ9D40R17T3YVW2",
161 "description": "This is my release plan",
162 "activeMilestoneId": "01JB9GGTGQYEQ9D40R17T3YVW1",
163 "safeguards": [
164 {
165 "id": "01JB9GGTGQYEQ9D40R17T3YVW1",
166 "action": {
167 "type": "pauseReleasePlanProgressions",
168 "id": "01JB9GGTGQYEQ9D40R17T3YVW2"
169 },
170 "triggerCondition": {
171 "operator": ">",
172 "threshold": 100
173 },
174 "impactMetric": {
175 "id": "01JB9GGTGQYEQ9D40R17T3YVW1",
176 "metricName": "unleash_counter_feature_toggle_usage_total",
177 "timeRange": "day",
178 "aggregationMode": "rps",
179 "labelSelectors": {
180 "environment": [
181 "development"
182 ],
183 "project": [
184 "default"
185 ]
186 },
187 "source": "internal"
188 }
189 }
190 ]
191 }
192 ],
193 "safeguards": [
194 {
195 "id": "01JB9GGTGQYEQ9D40R17T3YVW1",
196 "action": {
197 "type": "disableFeatureEnvironment",
198 "featureName": "string",
199 "environment": "string",
200 "project": "string"
201 },
202 "triggerCondition": {
203 "operator": ">",
204 "threshold": 100
205 },
206 "impactMetric": {
207 "id": "01JB9GGTGQYEQ9D40R17T3YVW1",
208 "metricName": "unleash_counter_feature_toggle_usage_total",
209 "timeRange": "day",
210 "aggregationMode": "rps",
211 "labelSelectors": {
212 "environment": [
213 "development"
214 ],
215 "project": [
216 "default"
217 ]
218 },
219 "source": "internal"
220 }
221 }
222 ],
223 "yes": 974,
224 "no": 50
225 }
226 ],
227 "segments": [
228 "pro-users",
229 "main-segment"
230 ],
231 "createdBy": {
232 "id": 123,
233 "name": "User",
234 "imageUrl": "https://example.com/242x200.png"
235 },
236 "tags": [
237 {
238 "value": "a-tag-value",
239 "type": "simple",
240 "color": "#FFFFFF"
241 }
242 ],
243 "lifecycle": {
244 "stage": "initial",
245 "enteredStageAt": "2023-01-28T15:21:39.975Z",
246 "status": "kept"
247 }
248 }
249 ],
250 "total": 10
251}
Search and filter by selected fields.
Was this page helpful?
Previous

Search change requests

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Query parameters

querystringOptional
The search query for the feature name or tag
projectstringOptionalformat: "^(IS|IS_NOT|IS_ANY_OF|IS_NONE_OF):(.*?)(,([a-zA-Z0-9_]+))*$"

Id of the project where search and filter is performed. The project id can be specified with an operator. The supported operators are IS, IS_NOT, IS_ANY_OF, IS_NONE_OF.

statestringOptionalformat: "^(IS|IS_NOT|IS_ANY_OF|IS_NONE_OF):(.*?)(,([a-zA-Z0-9_]+))*$"

The state of the feature active/stale. The state can be specified with an operator. The supported operators are IS, IS_NOT, IS_ANY_OF, IS_NONE_OF.

lifecyclestringOptionalformat: "^(IS|IS_NOT|IS_ANY_OF|IS_NONE_OF):(.*?)(,([a-zA-Z0-9_]+))*$"

The lifecycle stage of the feature. The stagee can be specified with an operator. The supported operators are IS, IS_NOT, IS_ANY_OF, IS_NONE_OF.

typestringOptionalformat: "^(IS|IS_NOT|IS_ANY_OF|IS_NONE_OF):(.*?)(,([a-zA-Z0-9_]+))*$"

The feature flag type to filter by. The type can be specified with an operator. The supported operators are IS, IS_NOT, IS_ANY_OF, IS_NONE_OF.

createdBystringOptionalformat: "^(IS|IS_NOT|IS_ANY_OF|IS_NONE_OF):(.*?)(,([a-zA-Z0-9_]+))*$"

The feature flag creator to filter by. The creators can be specified with an operator. The supported operators are IS, IS_NOT, IS_ANY_OF, IS_NONE_OF.

tagstringOptionalformat: "^(INCLUDE|DO_NOT_INCLUDE|INCLUDE_ALL_OF|INCLUDE_ANY_OF|EXCLUDE_IF_ANY_OF|EXCLUDE_ALL):([^:,]+:.+?)(,\s*[^:,]+:.+?)*$"
The list of feature tags to filter by. Feature tag has to specify a type and a value joined with a colon.
segmentstringOptionalformat: "^(INCLUDE|DO_NOT_INCLUDE|INCLUDE_ALL_OF|INCLUDE_ANY_OF|EXCLUDE_IF_ANY_OF|EXCLUDE_ALL):(.*?)(,([a-zA-Z0-9_]+))*$"

The list of segments with operators to filter by. The segment valid operators are INCLUDE, DO_NOT_INCLUDE, INCLUDE_ALL_OF, INCLUDE_ANY_OF, EXCLUDE_IF_ANY_OF, EXCLUDE_ALL.

statuslist of stringsOptional
The list of feature environment status to filter by. Feature environment has to specify a name and a status joined with a colon.
offsetstringOptional
The number of features to skip when returning a page. By default it is set to 0.
limitstringOptional
The number of feature environments to return in a page. By default it is set to 50.
sortBystringOptional
The field to sort the results by. By default it is set to "createdAt".
sortOrderenumOptional
The sort order for the sortBy. By default it is det to "asc".
Allowed values:
favoritesFirststringOptional
The flag to indicate if the favorite features should be returned first. By default it is set to false.
archivedstringOptionalformat: "^IS:(true|false)$"

Whether to get results for archived feature flags or active feature flags. If IS:true, Unleash will return only archived flags. If IS:false, it will return only active flags.

favoritestringOptionalformat: "^(IS|IS_ANY_OF):(true|false)(,(true|false))*$"

Filter by whether the feature is favorited by the current user. Use IS:true to show only favorites.

createdAtstringOptionalformat: "^(IS_BEFORE|IS_ON_OR_AFTER):\d{4}-\d{2}-\d{2}$"

The date the feature was created. The date can be specified with an operator. The supported operators are IS_BEFORE, IS_ON_OR_AFTER.

lastSeenAtstringOptionalformat: "^(IS_BEFORE|IS_ON_OR_AFTER):\d{4}-\d{2}-\d{2}$"

The date the feature was last seen from metrics. The date can be specified with an operator. The supported operators are IS_BEFORE, IS_ON_OR_AFTER.

Response

searchFeaturesSchema
featureslist of objects
The full list of features in this project matching search and filter criteria.
totaldouble
Total count of the features matching search and filter criteria

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error